Bug 725679

Summary: virt-manager connects to vino instead of the kvm VNC port
Product: [Fedora] Fedora Reporter: Stijn Tintel <stijn+bugs>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 19CC: aquini, berrange, clalance, crobinso, fred, hbrock, itamar, jforbes, laine, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-11 14:26:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Stijn Tintel 2011-07-26 05:24:56 EDT
Description of problem:
I am running both KVM and Vino on my F15 workstation. I have one Windows VM. Whenever I try to open the console for this VM, virt-manager connects to Vino rather than the KVM VNC port.

Version-Release number of selected component (if applicable):
qemu-kvm-0.14.0-7.fc15.x86_64
vino-3.0.2-2.fc15.x86_64
virt-manager-0.8.7-4.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install a VM in virt-manager
2. Enable Vino
3. Reboot
4. Start the VM and try to open console
  
Actual results:
Virt-manager shows my F15 Gnome desktop

Expected results:
Virt-manager should show the desktop of the VM (Windows in my case)

Additional info:
[root@dev402 ~]# netstat -anpt | grep qemu
tcp        0      0 127.0.0.1:5900              0.0.0.0:*                   LISTEN      14814/qemu-kvm      

[root@dev402 ~]# netstat -anpt | grep vino
tcp        0      0 :::5900                     :::*                        LISTEN      10413/vino-server
Comment 1 Cole Robinson 2011-08-01 14:01:25 EDT
libvirt has some detection logic to try and avoid this case, something must be busted though. reassigning to libvirt
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:53:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:56:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:03:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:03:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:07:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:08:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Daniel Berrange 2012-01-19 06:23:44 EST
> # netstat -anpt | grep qemu
> tcp        0      0 127.0.0.1:5900              0.0.0.0:*                  
> LISTEN      14814/qemu-kvm      
>
> # netstat -anpt | grep vino
> tcp        0      0 :::5900                     :::*                       
> LISTEN      10413/vino-server

Two things spring to mind

 - As cole notes it ought to still be possible for virt-manager to connect to the right VNC server, if it explicitly uses 127.0.0.1
 - I'm rather surprised vino was still actually able to bind to '::' with QEMU holding 127.0.0.1 - I would understand it if vino had bound to an explicit address, but I expected wildcard address bind to be mutually exclusive with other address binds.
Comment 9 Cole Robinson 2012-06-06 20:31:35 EDT
I'm pretty sure this is still relevant, so moving to F17
Comment 10 Fedora End Of Life 2013-07-03 19:44:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Cole Robinson 2013-07-11 14:26:46 EDT
On F19, vino does:

$ netstat -anp | grep 5900
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
tcp        0      0 0.0.0.0:5900            0.0.0.0:*               LISTEN      7314/vino-server    
tcp6       0      0 :::5900                 :::*                    LISTEN      7314/vino-server    

And that seems to be enough to trigger libvirt's detection for me, so closing as CURRENTRELEASE.